Bug report #5161

Updating GEOS library to 3.3 on OSGeo4w

Added by Alessandro Ciali over 7 years ago. Updated over 7 years ago.

Status:Closed
Priority:Normal
Assignee:-
Category:Build/Install
Affected QGIS version:master Regression?:No
Operating System:window Easy fix?:No
Pull Request or Patch supplied:No Resolution:upstream
Crashes QGIS or corrupts data:No Copied to github as #:14913

Description

Can anyone udate the GEOS lib to 3.3 version in OSGeo4w? Actually the available version is 3.2.
Thanks to all


Related issues

Related to QGIS Application - Bug report #5824: QGIS silently fails to add a geometry using "avoid inters... Closed 2012-06-18

History

#1 Updated by Paolo Cavallini over 7 years ago

  • Status changed from Open to Rejected
  • Resolution set to invalid

Please open a ticket on the osgeo4w trac

#2 Updated by Giovanni Manghi over 7 years ago

Paolo Cavallini wrote:

Please open a ticket on the osgeo4w trac

there is already OSGeo4W #232 open about this issue on the osgeo4w trac.

#3 Updated by Gerhard Spieles over 7 years ago

  • Resolution deleted (invalid)

Hello,

in the OSGeo4W online installer under libs, version 3.2.1 is shown as installed.
QGIS-Master reports under "Help", "About", that GEOS 3.2.2 is used.
Therefore, I asume, used GEOS version is defined in the QGIS compilation process.

Some new digitizing features in QGIS-master are only available with geos version >= 3.3;
If geos ver 3.3 makes no trouble, it would be of advantage, to update QGIS.

Thanks and regards

Gerhard Spieles

#4 Updated by Giovanni Manghi over 7 years ago

  • Resolution set to invalid

gespiel - wrote:

Hello,

in the OSGeo4W online installer under libs, version 3.2.1 is shown as installed.
QGIS-Master reports under "Help", "About", that GEOS 3.2.2 is used.
Therefore, I asume, used GEOS version is defined in the QGIS compilation process.

Some new digitizing features in QGIS-master are only available with geos version >= 3.3;
If geos ver 3.3 makes no trouble, it would be of advantage, to update QGIS.

Thanks and regards

Gerhard Spieles

versions of GEOS available today in osgeo4w are 3.2.2-0 and 3.2.2-1. QGIS is compiled against it. If we want QGIS compiled against GEOS 3.3 this need to be added in osgeo4w, not qgis.

#5 Updated by Jürgen Fischer over 7 years ago

  • Resolution changed from invalid to upstream

#6 Updated by Jürgen Fischer over 7 years ago

  • Status changed from Rejected to Closed

Also available in: Atom PDF